libnids (1.26-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062483

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 14:22:28 +0000

libnids (1.26-2) unstable; urgency=medium

  * Fix watch file.
  * Bump Standards-Version to 4.6.1 (no changes required).

 -- Marcos Fouces <marcos@debian.org>  Fri, 07 Oct 2022 17:51:39 +0200

libnids (1.26-1) unstable; urgency=medium

  * New upstream version 1.26
  * Refresh patches.
  * Bump Standards-Version to 4.6.0 (no changes required).
  * Update copyright year.

 -- Marcos Fouces <marcos@debian.org>  Sat, 07 May 2022 20:15:56 +0200

libnids (1.25-1) unstable; urgency=medium

  * New upstream release 1.25 (from new upstream).
  * d/control:
    - Bump debhelper-compat compatibility level to 13
    - Switch Build-Depends from debhelper to debhelper-compat, dropping
      d/compat in the process.
    - Bump Standards-Version to 4.5.1 (no change required).
    - Add Rules-Requires-Root: no in source stanza.
  * d/watch
    - Switch to new upstream.
  *d/patches
    - Add 05_Sane-TCP-flow-timeout.patch
  * Delete obsolete upstream signing-key.
  * d/copyright
   - Update copyright years and authors for Debian packaging.
  * Update uploader email to @debian.org.
  * Fix libnids.3 manpage location in d/*.manpages file.
  * d/rules:
    - Remove -Wl,--as-needed linker flag (no longer needed).

 -- Marcos Fouces <marcos@debian.org>  Sun, 10 Jan 2021 01:01:51 +0100

libnids (1.24-5) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Update team maintainer address to
    Debian Security Tools <team+pkg-security@tracker.debian.org>
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org

  [ Marcos Fouces ]
  * Remove trailing whitespaces.
  * Bump to dh 11.
  * Change section of libnids source package from libdevel to libs.
  * Add build-depends-package filed in symbols file.
  * Update copyright year.
  * Bump to Standards-Version 4.2.1 (no changes required).

 -- Marcos Fouces <marcos.fouces@gmail.com>  Sun, 04 Nov 2018 22:36:13 -0200

libnids (1.24-4) unstable; urgency=medium

  * Team upload.
  * Bugfix in symbols file: Match all Debian architectures that use the i386
    instruction set (instead of only i386 on linux).

 -- Lukas Schwaighofer <lukas@schwaighofer.name>  Sun, 27 Aug 2017 20:58:23 +0200

libnids (1.24-3) unstable; urgency=medium

  * Team upload.
  * Update symbols file to correct problems:
    + Remove space between tag and symbol name.
    + Remove Debian version from csum_partial symbol.
    + Change the condition to arch=i386 instead of arch-bits=32 as the guard
      used in the code is specific on the i386 architecture.

 -- Lukas Schwaighofer <lukas@schwaighofer.name>  Sun, 27 Aug 2017 16:14:15 +0200

libnids (1.24-2) unstable; urgency=medium

  * Fix build failures due to missing symbols
    thanks Adrian Bunk for the report (Closes: #872073)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 14 Aug 2017 12:43:29 +0200

libnids (1.24-1) unstable; urgency=medium

  * New upstream version 1.24 (Closes: #589415)
  * d/copyright:
    + Make dep5 compliant
    + Update copyright holders
  * d/rules
    + Revamp using dh sintax.
    + Add hardening flags.
  * d/control
    + Delete duplicate field.
    + Bump to dh 10 compat level.
    + Cosmetic changes to description.
    + Delete explicit version of libnet1-dev.
      It is present since Wheezy release.
    + Delete build-dependency on pkg-config
    + Bump to Standards-Version: 4.0.0
  * Add multiarch paths
  * Adjust files list on d/libnids-dev-docs.
  * Polish, refresh, rename and fix dep3 issues in patch files.
  * d/watch
    + Check gpg signature with uscan.
    + Add signing-key.asc file for watch file use.
  * Add d/libnids.1.21.symbols file

  [ Lukas Schwaighofer ]
  * update config.{sub,guess} by enabling the dh autotool-dev sequence
  * add CFLAGS using DEB_CFLAGS_MAINT_APPEND
  * improve patches
    + patch Makefile.in to apply CPPFLAGS and LDFLAGS (needed for hardening)
    + introduce separate patch to keep soname
  * add -Wl,--as-needed to LDFLAGS to avoid unnecessary linking
  * drop modifications of the printall.c sample code
  * mark binary packages as Multi-Arch: same

 -- Marcos Fouces <marcos.fouces@gmail.com>  Mon, 27 Mar 2017 23:15:13 +0200

libnids (1.23-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix assembly of TCP streams on armhf by adding -fno-strict-aliasing.
    (Closes: #851060)
  * Fix use of "inline" with GCC >= 5 which causes undefined references in
    applications linked against libnids. (Closes: #855602)

 -- James Cowgill <jcowgill@debian.org>  Sun, 26 Feb 2017 16:25:37 +0000

libnids (1.23-2) unstable; urgency=high

  * Update my email address (closes: #574042).

 -- Vasilis Pappas <vpappas@gmail.com>  Tue, 20 Jul 2010 20:12:19 -0400

libnids (1.23-1.2) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix NULL ptr dereference in src/ip_fragment.c which can
    be used to cause denial of service conditiions with applications
    using this library (Closes: #576281).

 -- Nico Golde <nion@debian.org>  Sun, 20 Jun 2010 14:20:06 +0200

libnids (1.23-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with GCC 4.4, thanks to Martin Michlmayr (Closes: #504824)

 -- David Paleino <dapal@debian.org>  Mon, 21 Dec 2009 16:05:39 +0100

libnids (1.23-1) unstable; urgency=low

  * New upstream release. Closes: #474575.
  * Added the samples directory to /usr/share/doc/libnids-dev.
  * Added code to bypass checksum calculation in the printall sample.
  * Fixed debian/watch file. Closes: #449806.

 -- Vasilis Pappas <vpappas@ics.forth.gr>  Mon, 16 Jun 2008 11:52:28 +0300

libnids (1.21-1) unstable; urgency=low

  * New Maintainer. Closes: #390827.

 -- Vasilis Pappas <vpappas@ics.forth.gr>  Tue, 05 Dec 2006 11:40:30 +0200

libnids (1.21-0) unstable; urgency=low

  * QA upload.
  * New upstream release.
  * Set debhelper compatibility to 5.
  * Added debian/watch file.
  * Added homepage to description.
  * Fixed incorrect function return type in the manpage (Closes:
    #388531). Patch by Piotr Engelking <inkerman42@gmail.com>.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 08 Nov 2006 20:18:14 +1100

libnids (1.20-4) unstable; urgency=low

  * QA upload.
  * Set Maintainer to QA Group; Orphaned: #390827
  * Remove config.log on clean
  * Conforms with latest Standards Version 3.7.2

 -- Michael Ablassmeier <abi@debian.org>  Sun, 15 Oct 2006 13:10:32 +0200

libnids (1.20-3) unstable; urgency=high

  * Fixed broken control file, which makes libnids-dev uninstallable.
    (libnids-dev didn't depend upon the correct version of the library).

 -- Steve Kemp <skx@debian.org>  Monday, 11 July 2005 20:28:20 +0000

libnids (1.20-2) unstable; urgency=low

  * Changes from Faidon Liambotis:
     * Renamed binary package to libnids1.20, Conflicts/Replaces libnids1.
       (Closes: #299560)
     * Cleaned up debian/rules.
     * Removed obsolete debhelper usage.
     * Updated Standards-Version to 3.6.2.2 [No Changes]

 -- Steve Kemp <skx@debian.org>  Sunday, 26 June 2005 15:51:32 +0000

libnids (1.20-1) unstable; urgency=low

  * New upstream release.
  * Updated the copyright file to distinguish between *Copyright*
    and *License* (Closes: #290196)
  * Updated URL for homepage in copyright file.
  * Update config.{sub guess} and build-dep upon autotools-dev
    so they never get out of date.

 -- Steve Kemp <skx@debian.org>  Mon, 28 Feb 2005 04:23:10 +0000

libnids (1.19-1) unstable; urgency=high

  * New upstream, which contains an important bugfix wrt FIN handling.
    Hence higher urgency.

 -- Steve Kemp <skx@debian.org>  Friday, 10 December 2004 15:12:01 +0000

libnids (1.18-4) unstable; urgency=high

  * Fixes important bug where packets weren't being recorded
    in some situations.  (Closes: #252330)
  * Updated to use libnet1 rather than libnet0.  (Closes: #241059)
  * Updated standards version to 3.6.6.1

 -- Steve Kemp <skx@debian.org>  Wednesday, 1 December 2004 21:58:04 +0000

libnids (1.18-3) unstable; urgency=high

  * Make a maintainer upload, after the kind NMU from Matt Kraai
    this will close down the bugs which he kindly fixed for me.
  * Urency set to high to avoid FTBFS errors close to freeze.
  * Build-depend on libpcap0.8-dev instead of libpcap-dev
    (Closes: #262172)
  * Fixed FTBFS due to Build-deps (duplicate bug).
    (Closes: #265689)
  * Don't use an NMU version number for the package.
    (Closes: #240148)
  * Move the package into section 'libdevel' rather than 'devel'.

 -- Steve Kemp <skx@debian.org>  Monday, 16 August 2004 19:42:21 +0000

libnids (1.18-2.1) unstable; urgency=low

  * Non-maintainer upload with maintainer permission.
  * Build-depend on libpcap0.8-dev instead of libpcap-dev (closes:
    #262172).

 -- Matt Kraai <kraai@debian.org>  Sun, 15 Aug 2004 07:40:35 -0700

libnids (1.18-2) unstable; urgency=low

  * Acknowlege NMU by Domenico - many thanks.
    Rebuilt with libnet0-dev (Closes: #227213)

 -- Steve Kemp <skx@debian.org>  Thursday, 22 April 2004 22:46:19 +0000

libnids (1.18-1.1) unstable; urgency=low

  * Rebuilt against newer libnet0-dev package (closes: #227213)
    - updated build dependency on libnet0-dev (>= 1.0.2a-5)
  * It is not a native package any more (closes: #240148)
  * Updated standards version to 3.6.1
  * NMU with maintainer permission

 -- Domenico Andreoli <cavok@debian.org>  Fri, 26 Mar 2004 00:16:34 +0100

libnids (1.18-1) unstable; urgency=high

  * Fixes security hole allowing arbitary code (CAN-2003-0850)
    Urgency set to high because of this.
    (Closes: #226356)
  * New upstream release.
    (Closes: #192621)
  * New maintainer.
    (Closes: #188171)

 -- Steve Kemp <skx@debian.org>  Thu, 08 Jan 2004 19:35:28 +0000

libnids (1.16-4) unstable; urgency=low

  * QA Upload, patch from From: Frank Lichtenheld <frank@lichtenheld.de>
    (closes: #203824).
  * Change maintainer to QA Group
  * Remove multiline strings (closes: #195577)
  * Build killtcp.static (closes: #168000)
  * General clean-up
  * Update to debhelper 4
  * Update Standards-Version to 3.6.0

 -- Roland Mas <lolando@debian.org>  Sun, 24 Aug 2003 10:09:36 +0200

libnids (1.16-3) unstable; urgency=low

  * Changed maintainer field

 -- Robert van der Meulen <rvdm@debian.org>  Fri, 14 Dec 2001 11:52:40 +0100

libnids (1.16-2) unstable; urgency=low

  * Added build depends on debhelper (Closes: #108941)

 -- Robert van der Meulen <rvdm@debian.org>  Fri, 14 Dec 2001 11:52:29 +0100

libnids (1.16-1) unstable; urgency=low

  * New upstream version

 -- Robert van der Meulen <rvdm@debian.org>  Thu, 16 Aug 2001 17:30:51 +0200

libnids (1.14-4) unstable; urgency=low

  * Fixed maintainer email address
  * removed bogus manpage file (Closes: #82957)
  * Fixed some build depends (Closes: #86891)
  * Removed duplicate manpage a while ago (Closes: #90280)

 -- Robert van der Meulen <rvdm@debian.org>  Thu, 22 Mar 2001 23:24:51 +0100

libnids (1.14-3) unstable; urgency=low

  * removed manpage from libnids1 (non-dev) package (closes: #79557).
  * added link to /usr/lib/libnids.so in -dev package .

 -- Robert van der Meulen <rvdm@cistron.nl>  Thu, 14 Dec 2000 14:59:23 +0100

libnids (1.14-2) unstable; urgency=low

  * Renamed directory to follow '.orig' convention.
  * added static library to -dev package (closes: #78220)
  * changed debian/rules (removed libglade stuff that was somehow there)
    (closes: #78218)
  * Renamed the shared library package to libnids1 (closes: #78217)

 -- Robert van der Meulen <rvdm@cistron.nl>  Sun, 10 Dec 2000 16:56:08 +0100

libnids (1.14-1) unstable; urgency=low

  * Initial Release.

 -- Robert van der Meulen <rvdm@cistron.nl>  Wed, 18 Oct 2000 13:53:38 +0200
